using BlazorApp.Models;

namespace BlazorApp.Services.Interfaces
{
    public interface ICanService
    {
        Task InitAsync();
        Task<List<CanMessage>> ReadAsync();

        // STREAM
        event Action<CanMessage>? OnMessageReceived;
        void StartStream();
        void StopStream();
    }
}
